## olde 0.15

=== Makefile ===
# Minimalistic Makefile

INSTALL=/usr/bin/install

all: 

install:
	# Directories
	$(INSTALL) -d $(DESTDIR)/etc/orig/xdg/openbox
	$(INSTALL) -d $(DESTDIR)/etc/orig/xdg/tint2
	$(INSTALL) -d $(DESTDIR)/etc/olde/xdg/openbox
	$(INSTALL) -d $(DESTDIR)/etc/olde/xdg/pcmanfm/default
	$(INSTALL) -d $(DESTDIR)/etc/olde/xdg/tint2
	$(INSTALL) -d $(DESTDIR)/etc/xdg/dunst/dunstrc.d
	$(INSTALL) -d $(DESTDIR)/etc/xdg/menus
	$(INSTALL) -d $(DESTDIR)/etc/xdg/olde
	$(INSTALL) -d $(DESTDIR)/etc/xdg/pcmanfm/olde
	$(INSTALL) -d $(DESTDIR)/etc/xsettingsd
	$(INSTALL) -d $(DESTDIR)/lib/systemd/system-sleep
	$(INSTALL) -d $(DESTDIR)/usr/bin
	$(INSTALL) -d $(DESTDIR)/usr/libexec/olde
	$(INSTALL) -d $(DESTDIR)/usr/lib/systemd/user
	$(INSTALL) -d $(DESTDIR)/usr/share/applications
	$(INSTALL) -d $(DESTDIR)/usr/share/doc/olde
	$(INSTALL) -d $(DESTDIR)/usr/share/man/man1
	$(INSTALL) -d $(DESTDIR)/usr/share/olde
	$(INSTALL) -d $(DESTDIR)/usr/share/xsessions
	# Files
	# Executables
	$(INSTALL) src/usr/bin/* $(DESTDIR)/usr/bin
	$(INSTALL) src/usr/libexec/olde/* $(DESTDIR)/usr/libexec/olde
	$(INSTALL) src/lib/systemd/system-sleep/* $(DESTDIR)/lib/systemd/system-sleep
	# Configuration files
	$(INSTALL) -m 644 src/etc/olde/xdg/openbox/* $(DESTDIR)/etc/olde/xdg/openbox
	$(INSTALL) -m 644 src/etc/olde/xdg/tint2/* $(DESTDIR)/etc/olde/xdg/tint2
	$(INSTALL) -m 644 src/etc/xsettingsd/* $(DESTDIR)/etc/xsettingsd
	$(INSTALL) -m 644 src/etc/xdg/dunst/dunstrc.d/* $(DESTDIR)/etc/xdg/dunst/dunstrc.d
	$(INSTALL) -m 644 src/etc/xdg/menus/* $(DESTDIR)/etc/xdg/menus
	$(INSTALL) -m 644 src/etc/xdg/olde/* $(DESTDIR)/etc/xdg/olde
	$(INSTALL) -m 644 src/etc/xdg/pcmanfm/olde/* $(DESTDIR)/etc/xdg/pcmanfm/olde
	# systemd services
	$(INSTALL) -m 644 src/usr/lib/systemd/user/* $(DESTDIR)/usr/lib/systemd/user
	# Desktop files
	$(INSTALL) -m 644 src/usr/share/applications/* $(DESTDIR)/usr/share/applications
	$(INSTALL) -m 644 src/usr/share/xsessions/* $(DESTDIR)/usr/share/xsessions
	# Data
	$(INSTALL) -m 644 src/usr/share/olde/* $(DESTDIR)/usr/share/olde
	# Manual pages
	$(INSTALL) -m 644 src/usr/share/man/man1/* $(DESTDIR)/usr/share/man/man1

clean:

=== debian/changelog ===
olde (0.15) unstable; urgency=medium

  * [768b482] olde-desktop: run xdg-user-dirs-update before pcmanfm
  * [800daef] olde-desktop: change default background image mode to crop

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 04 May 2023 00:29:03 +0200

olde (0.14) unstable; urgency=medium

  * [e064df4] olde-apps: replace pluma with geditor

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sat, 04 Feb 2023 18:13:43 +0100

olde (0.13) unstable; urgency=medium

  * [dfaefe6] Merge graphics, multimedia and office dependencies in olde-apps
  * [4abef65] Depends on pipewire-audio or pulseaudio

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 03 Feb 2023 02:21:22 +0100

olde (0.12) unstable; urgency=medium

  * [817fe84] All components: use Noto Sans instead of Cantarell
  * [876d088] olde-session: update manual page
  * [85b15c6] dunst: update config for 1.9
  * [a802bc9] tint2: add year to clock's tooltip
  * [98c9ae1] Update package descriptions
  * [48a7618] Update lintian overrides

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 15 Jan 2023 14:23:11 +0100

olde (0.11) unstable; urgency=medium

  * [10d8723] lock-monitor: don't rely on pidwait
  * [92d204e] Uncouple olde-lock-monitor from olde-lock

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 02 Oct 2022 21:11:13 +0200

olde (0.10) unstable; urgency=medium

  * [d5cc48c] olde-lock: use monitor script instead of wrapper script

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 26 Sep 2022 09:23:39 +0200

olde (0.9) unstable; urgency=medium

  * [f8d0d0f] Remove checklist from source, not needed anymore
  * [444df2a] olde-core: add lightdm to Recommends
  * [f1e0d0d] olde-session: set XDG_RUNTIME_DIR if it's unset
  * [0c22100] olde-session: rewrite dbus/systemd environment import
  * [ff55c74] olde-lock: fix error getting session

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 25 Sep 2022 13:01:28 +0200

olde (0.8) unstable; urgency=medium

  * [d628aee] olde-session: fix environment cleanup
  * [0586c80] olde-session: fix gnome-keyring-daemon startup

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 23 Sep 2022 19:10:08 +0200

olde (0.7) unstable; urgency=medium

  * [cacb568] Unconditionally set XDG_CURRENT_DESKTOP and XDG_SESSION_DESKTOP
  * [40b728e] Update dependencies

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 23 Sep 2022 18:32:29 +0200

olde (0.6) unstable; urgency=medium

  * [2a3d3d8] Update default configuration files
  * [69c2f20] Replace Adwaita icon theme with Tango

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Wed, 21 Sep 2022 09:32:55 +0200

olde (0.5) unstable; urgency=medium

  * [f1d0ae1] olde-session: implement print_error/info functions
  * [1295464] olde-session: update debug files
  * [ea152fc] olde-session: rewrite gnome-keyring-daemon/ssh-askpass logic
  * [72e98d5] olde-core: replace notification-daemon with dunst
  * [acb7173] Pause notification daemon when screen is locked
  * [c1bd618] Fix bashism in olde-lock systemd-sleep hook
  * [c0012c5] Fix olde-core/olde-core-light maintainer scripts
  * [cfb782d] Manage PolicyKit authentication agent as a service
  * [f6eb74e] Update default configuration files
  * [d731ad0] Update TODO.md

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 18 Sep 2022 02:29:27 +0200

olde (0.4) unstable; urgency=medium

  * [fc33dcd] New metapackage: olde-multimedia
  * [1191d6c] Add default MIME types associations
  * [22f34e1] olde-session: set environment variables omitted by xrdp
  * [adadde1] olde-session: add some informational output
  * [4f8ddd7] olde-session: fix error message
  * [a8ff70d] Change default environment, autostart and menu files
  * [808febe] Use custom PCManFM profile

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Thu, 08 Sep 2022 17:44:49 +0200

olde (0.3) unstable; urgency=medium

  * [98b25a6] Various fixes in olde-session script

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Tue, 06 Sep 2022 09:20:59 +0200

olde (0.2) unstable; urgency=medium

  * [1f13baa] Remove condition on olde-desktop.service
  * [272af16] Change default desktop background color in pcmanfm.conf

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 05 Sep 2022 22:00:58 +0200

olde (0.1) unstable; urgency=medium

  * [986429d] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2022 16:28:20 +0200

=== debian/control ===
Source: olde
Section: x11
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-exec
Standards-Version: 4.5.1
#Homepage: <insert the upstream URL, if relevant>
#Vcs-Browser: https://salsa.debian.org/debian/olde
#Vcs-Git: https://salsa.debian.org/debian/olde.git

#
# Real packages
#

Package: olde-common
Architecture: all
Depends: olde-core | olde-core-light, tango-icon-theme, gnome-icon-theme, bld-settings-xorg, colorless, dbus-user-session, fonts-noto-core, gtk2-engines, openbox, openbox-menu, python3-xdg, twrap, xsettingsd, xterm, ${misc:Depends}
Description: Openbox Light Desktop Environment - Common files
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This package contains common files for olde-core and olde-core-light.

Package: olde-core
Architecture: all
Depends: olde-common, desktop-base, fonts-recommended, gmrun, gvfs-backends, libfm-modules, libnotify4, dunst, obconf, olde-logout, pcmanfm, policykit-1-gnome, pipewire-audio | pulseaudio, scrot.wrapper, ssh-askpass | gnome-keyring, tint2, xdg-user-dirs-gtk, xdg-utils, xdotool, xsecurelock, xss-lock, ${misc:Depends}
Recommends: ffmpegthumbnailer, bld-settings-ffmpegthumbnailer, lightdm, bld-settings-lightdm, network-manager-gnome, redshift-gtk
Conflicts: olde-core-light
Replaces: olde-core-light
Description: Openbox Light Desktop Environment - Core
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This package contains OLDE core.

Package: olde-core-light
Architecture: all
Depends: olde-common, ${misc:Depends}
Conflicts: olde-core
Replaces: olde-core
Description: Openbox Light Desktop Environment - Core (light)
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This package contains a minimalistic version of the OLDE core, without a
 panel, a file manager or a screen locker. It's intended for headless servers
 on which you need a minimalistic GUI to run some programs.


#
# Metapackages
#

Package: olde
Architecture: all
Depends: olde-core, olde-a11y, olde-apps, olde-applets, olde-im, ${misc:Depends}
Description: Openbox Light Desktop Environment - Full
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This is a metapackage for a full OLDE installation.

Package: olde-apps
Architecture: all
Depends: atril, audacious, firefox | firefox-esr, galculator, gimp, gpicview, libreoffice, libreoffice-gtk3, mplayer, bld-settings-mplayer, geditor, shotwell, simple-scan, system-config-printer, xarchiver, ${misc:Depends}
Description: Openbox Light Desktop Environment - Applications
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This is a metapackage to install OLDE applications.

Package: olde-applets
Architecture: all
Depends: pa-applet, parcellite, ${misc:Depends}
Description: Openbox Light Desktop Environment - System tray applets
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This is a metapackage to install OLDE system tray applets.

Package: olde-a11y
Architecture: all
Depends: at-spi2-core, libatk-adaptor, libgail-common, ${misc:Depends}
Description: Openbox Light Desktop Environment - Accessibility
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This is a metapackage to install OLDE accessibility components.

Package: olde-im
Architecture: all
Depends: ibus, ibus-gtk, ibus-gtk3, im-config, ${misc:Depends}
Recommends: ibus-gtk4
Description: Openbox Light Desktop Environment - Input method configuration
 OLDE stands for Openbox Light Desktop Environment. As the name suggests, it's
 a light desktop environment built around Openbox. It's suitable for old
 machines with limited resources, or remote working through a link with limited
 bandwidth.
 .
 It is not affiliated in any way with the Openbox project.
 .
 This is a metapackage to install OLDE input method configuration components.

## olde 0.16

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,9 @@
 	$(INSTALL) -d $(DESTDIR)/etc/xdg/olde
 	$(INSTALL) -d $(DESTDIR)/etc/xdg/pcmanfm/olde
 	$(INSTALL) -d $(DESTDIR)/etc/xsettingsd
-	$(INSTALL) -d $(DESTDIR)/lib/systemd/system-sleep
 	$(INSTALL) -d $(DESTDIR)/usr/bin
 	$(INSTALL) -d $(DESTDIR)/usr/libexec/olde
+	$(INSTALL) -d $(DESTDIR)/usr/lib/systemd/system-sleep
 	$(INSTALL) -d $(DESTDIR)/usr/lib/systemd/user
 	$(INSTALL) -d $(DESTDIR)/usr/share/applications
 	$(INSTALL) -d $(DESTDIR)/usr/share/doc/olde
@@ -29,7 +29,7 @@
 	# Executables
 	$(INSTALL) src/usr/bin/* $(DESTDIR)/usr/bin
 	$(INSTALL) src/usr/libexec/olde/* $(DESTDIR)/usr/libexec/olde
-	$(INSTALL) src/lib/systemd/system-sleep/* $(DESTDIR)/lib/systemd/system-sleep
+	$(INSTALL) src/usr/lib/systemd/system-sleep/* $(DESTDIR)/usr/lib/systemd/system-sleep
 	# Configuration files
 	$(INSTALL) -m 644 src/etc/olde/xdg/openbox/* $(DESTDIR)/etc/olde/xdg/openbox
 	$(INSTALL) -m 644 src/etc/olde/xdg/tint2/* $(DESTDIR)/etc/olde/xdg/tint2

=== debian/changelog ===
olde (0.16) unstable; urgency=medium

  * [e14e77b] Move systemd-sleep hook to /usr for DEP-17
  * [fb3905e] Bump Standards-Version to 4.7.0

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Fri, 09 Aug 2024 14:20:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), dh-exec
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 #Homepage: <insert the upstream URL, if relevant>
 #Vcs-Browser: https://salsa.debian.org/debian/olde
 #Vcs-Git: https://salsa.debian.org/debian/olde.git

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# See FEATURE AREAS in dpkg-buildflags(1).
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_installdocs:
	dh_installdocs --link-doc olde-common
